import Vue from 'vue'
import VueUeditorWrap from 'vue-ueditor-wrap'
import InfoTitle from '@/components/InfoTitle'
import Dialog from '@/components/Dialog'
import AmountInput from '@/components/Input/AmountInput'
import TimeAxis from '@/components/TimeAxis'
import UpDownDrag from '@/components/UpDownDrag'
import Steps from '@/components/Steps'
import Upload from '@/components/Upload'
import ViewBar from '@/components/ViewBar'
import OrgList from '@/components/OrgList'
import CommTable from '@/components/CommTable'
import Breadcrumb from '@/components/Breadcrumb'
import SvgButton from '@/components/SvgButton'
import InputNumber from '@/components/Input/InputNumber'
import InputCharacter from '@/components/Input/InputCharacter'
import CardInput from '@/components/Input/CardInput'

Vue.component('cy-info-title', InfoTitle)
Vue.component('cy-dialog', Dialog)
Vue.component('cy-amount-input', AmountInput)
// 时间进度轴
Vue.component('cy-time-axis', TimeAxis)
// 查看拖拽
Vue.component('cy-up-down-drag', UpDownDrag)
// 查看步骤条
Vue.component('cy-steps', Steps)
// 文件上传
Vue.component('cy-upload', Upload)
// 查看显示条
Vue.component('cy-view-bar', ViewBar)
// 选取组织结构
Vue.component('cy-org-list', OrgList)
// 自定义table
Vue.component('cy-comm-table', CommTable)
// 面包屑
Vue.component('breadcrumb', Breadcrumb)
// 富文本
Vue.component('vue-ueditor-wrap', VueUeditorWrap)

Vue.component('svg-button', SvgButton)

// 纯数字input
Vue.component('cy-number-input', InputNumber)
// 纯汉字input
Vue.component('cy-character-input', InputCharacter)
// 身份证input
Vue.component('cy-card-input', CardInput)
